Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

PureGDK / DBPro Version Required?

Author
Message
freight hopper
16
Years of Service
User Offline
Joined: 26th Dec 2003
Location: Just beyond the Dunsmuir yard limits
Posted: 9th Oct 2009 08:57
Very intrigued by this approach. I could be mistaken, but I remember reading somewhere that PureGDK requires DBPro 7.1. True? What if I am already up to DBPro 7.4, any problems?

Mistrel
Retired Moderator
14
Years of Service
User Offline
Joined: 9th Nov 2005
Location:
Posted: 9th Oct 2009 10:12 Edited at: 9th Oct 2009 12:30
DBP verions are on a supported/unsupported basis. Only the version advertised as being supported is guaranteed to work. There isn't anything that prevents you from upgrading from a more recent version, if that's what you're asking.

If you do this, new commands which didn't previously exist obviously won't work. But if there is one that you need it's possible to wrap it yourself using the included plugin SDK. Documentation for this is in the help file. Adding new commands is as easy as editing a text file and does not require any programming knowledge. The SDK tools will generate the source code for you.

The current supported release (at the time of this post) is for PB 4.31 and DBP 7.3. There are no problems using DBP 7.4 with the current release that I'm aware of. The next version will support PB 4.40 and DBP 7.4.

freight hopper
16
Years of Service
User Offline
Joined: 26th Dec 2003
Location: Just beyond the Dunsmuir yard limits
Posted: 10th Oct 2009 06:32
That helps, thanks. A topic above says, "PureGDK comes with support for 22 third-party plugins". Are these DBPro plug-ins or Pure Basic plugins and where can I find a listing of these?

Mistrel
Retired Moderator
14
Years of Service
User Offline
Joined: 9th Nov 2005
Location:
Posted: 10th Oct 2009 08:22 Edited at: 10th Oct 2009 08:23
These are DBP plugins. PureGDK comes with native support for:

(At the time of this post)
Quote: "Licensed Plugins:

2D Plugin Kit 1.1
Advanced Terrain
Dark Physics Beta 14-12-07
Dark AI 1.05
Dark Lights 1.02
Enhanced Animations 19-11-07
eXtends 1.4
EZ Rotate Enhanced 19-11-07
STYX 2.0
TextureMax 17-05-07
Unity 3.0

Free Plugins:

D3DFunc 3.7.1
DarkSide Starburst
DBP Collisions 2.04
DKAVM 12-07-06
DKSHOP 12-07-06
EZ Rotate Basic
Multisync 1.4.1
Newton Game Dynamics 1.3.2
zParticles 1.11"


The plugin SDK comes with several examples for building plugins. Don't worry if a plugin you use isn't in this list. If it works with DBP then it works with PureGDK. Just follow the instructions in the help file.

freight hopper
16
Years of Service
User Offline
Joined: 26th Dec 2003
Location: Just beyond the Dunsmuir yard limits
Posted: 10th Oct 2009 17:16 Edited at: 10th Oct 2009 17:35
Wow. I had to order. [edit] and it looks like the file is waiting for me on the e-mail. Thanks.

Probably be a good thing if the above plug-in list has a permanent location on the PureGDK site.

Mistrel
Retired Moderator
14
Years of Service
User Offline
Joined: 9th Nov 2005
Location:
Posted: 10th Oct 2009 22:12
I'll definitely add this to the site. I hope you enjoy your purchase

If you have any questions feel free to ask.

Login to post a reply

Server time is: 2020-10-27 14:52:37
Your offset time is: 2020-10-27 14:52:37